Last modified: 2014-03-18 10:20:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46394 - Clean up the code in ChangesList
Clean up the code in ChangesList
Status: VERIFIED FIXED
Product: MediaWiki
Classification: Unclassified
Recent changes (Other open bugs)
1.21.x
All All
: Normal normal (vote)
: ---
Assigned To: Aude
p=5 u=dev c=backend
:
Depends on: 56665
Blocks: code_quality 44874
  Show dependency treegraph
 
Reported: 2013-03-21 00:04 UTC by Aude
Modified: 2014-03-18 10:20 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Aude 2013-03-21 00:04:31 UTC
The code in the ChangesList class is quite awful, with stuff concatenated together, hard coded in places, difficult for extensions to hook into in a good way, difficult to write phpunit tests for, etc.

If the code can be improved enough, then Wikidata can more fully support showing changes in all modes of recent changes and watchlist.

This could also help towards solving bug 28446.
Comment 1 Nemo 2013-03-21 00:44:13 UTC
Nice aim!
In bug 35785 comment 34 you mention CleanChanges; maybe this would help with bug 38834 too.
Comment 2 Addshore 2014-03-11 13:33:41 UTC
https://gerrit.wikimedia.org/r/#/c/97742

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links